Bug 234746 - [New Port] net/p5-IO-Socket-Socks-Wrapper: Add SOCKS support for any perl object, package or program
Summary: [New Port] net/p5-IO-Socket-Socks-Wrapper: Add SOCKS support for any perl obj...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 14:26 UTC by gehm
Modified: 2019-01-17 13:00 UTC (History)
1 user (show)

See Also:


Attachments
shar file of new port (2.12 KB, text/plain)
2019-01-08 14:26 UTC, gehm
no flags Details
Uuups lost some files in plist (2.21 KB, text/plain)
2019-01-08 15:03 UTC, gehm
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gehm 2019-01-08 14:26:50 UTC
Created attachment 200911 [details]
shar file of new port

Wrapper for IO::Socket::Socks
Comment 1 gehm 2019-01-08 15:03:00 UTC
Created attachment 200914 [details]
Uuups lost some files in plist

Sorry the pkg-plist was broken
Comment 2 Kurt Jaeger freebsd_committer 2019-01-11 20:25:56 UTC
portlint -AC says:

FATAL: Makefile: [17]: use a tab (not space) after a variable name
FATAL: Makefile: [1]: old style headers found.
FATAL: Makefile: extra item "RUN_DEPENDS" placed in the LICENSE section.
WARN: Makefile: "LICENSE" has to appear earlier.
WARN: Makefile: "USES" has to appear earlier.

Can you work this in ?
Comment 3 commit-hook freebsd_committer 2019-01-17 12:59:22 UTC
A commit references this bug:

Author: swills
Date: Thu Jan 17 12:59:09 UTC 2019
New revision: 490555
URL: https://svnweb.freebsd.org/changeset/ports/490555

Log:
  net/p5-IO-Socket-Socks-Wrapper: create port

  Add SOCKS support for any perl object / package / program

  WWW: https://metacpan.org/release/IO-Socket-Socks-Wrapper

  PR:		234746
  Submitted by:	gehm@physik.tu-berlin.de

Changes:
  head/net/Makefile
  head/net/p5-IO-Socket-Socks-Wrapper/
  head/net/p5-IO-Socket-Socks-Wrapper/Makefile
  head/net/p5-IO-Socket-Socks-Wrapper/distinfo
  head/net/p5-IO-Socket-Socks-Wrapper/pkg-descr
  head/net/p5-IO-Socket-Socks-Wrapper/pkg-plist
Comment 4 Steve Wills freebsd_committer 2019-01-17 13:00:16 UTC
Committed, thanks!